Bug 123944 - It is difficult to find specialized template methods
It is difficult to find specialized template methods
Status: NEW
Product: cnd
Classification: Unclassified
Component: Navigation
6.x
All All
: P2 with 2 votes (vote)
: 7.0
Assigned To: Vladimir Voskresensky
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 12:34 UTC by soldatov
Modified: 2010-11-16 06:10 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2007-12-13 12:34:19 UTC
Sample from issue 98188:
------------------------------------------------------------
template<typename _CharT>
class numpunct : public locale::facet
{ 
public:
  typedef _CharT			char_type;
  // For use at construction time only.
  void
  _M_initialize_numpunct(__c_locale __cloc = NULL);
};

template<> void numpunct<char>::_M_initialize_numpunct(__c_locale __cloc);
template<> void numpunct<int>::_M_initialize_numpunct(__c_locale __cloc);
------------------------------------------------------------

I see two problems:
1) I see 2 equal '_M_initialize_numpunct' functions in 'Navigator' tab
2) I see in 'Classes' tab:
 *- Application
 +*| numpunct<>
   + char_type
   + _M_initialize_numpunct(__c_locale __cloc)

I think it is very difficulty to find required method.
It is necessary:
1) all methods should differ in Navigator tab
2) all specialization should be display in 'Classes' tab anyhow
Comment 1 Quality Engineering 2010-11-14 06:20:27 UTC
Integrated into 'main-golden', will be available in build *201011140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/756b887c075d
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing #123944 -  It is difficult to find specialized template methods
Comment 2 Quality Engineering 2010-11-15 06:15:25 UTC
Integrated into 'main-golden', will be available in build *201011150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/be1cd0eed26a
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing #123944: It is difficult to find specialized template methods
Comment 3 Quality Engineering 2010-11-16 06:10:22 UTC
Integrated into 'main-golden', will be available in build *201011160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/df2c7766ea9f
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: register into current namespace to have entry in class view (needed for #123944: It is difficult to find specialized template methods)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo